<script setup lang="ts">
import { onBeforeMount, onBeforeUnmount } from "vue";
import { useUserStore } from "@/stores";
import { useRouter } from "vue-router";
import LoginButtons from "@/components/LoginButtons.vue";

defineProps<{
  returnPath?: string;
}>();

const router = useRouter();
const store = useUserStore();

onBeforeMount(() => {
  if (store.authenticated) {
    // If user is authenticated redirect him to the dashboard
    router.push({ name: "dashboard" });
  } else {
    const linkTag = document.createElement("link");
    linkTag.setAttribute("rel", "canonical");
    linkTag.href = window.location.origin + window.location.pathname;
    document.head.appendChild(linkTag);
  }
});

onBeforeUnmount(() => {
  document.head.querySelector("[rel=canonical]")?.remove();
});
</script>

<template>
  <h2>
    How to create an account for the Cloud-based Workflow Manager (CloWM)?
  </h2>
  <p>
    The only prerequisite for using CloWM is a
    <a href="https://lifescience-ri.eu/">LifeScience</a> or
    <a href="https://iam.services.base4nfdi.de">NFDI AAI</a>
    account.
  </p>
  <h4>I don't have such an Account</h4>
  <h5>LifeScience AAI</h5>
  <p>
    You can register by going to the
    <a
      href="https://lifescience-ri.eu/ls-login/version-2023/user/how-to-get-ls-id.html"
      >LifeScience website</a
    >
    and follow the instructions there.
  </p>
  <h5>NFDI AAI</h5>
  <p>
    The NFDI AAI maintains a list of
    <a href="https://doc.nfdi-aai.de/community-aai-software/"
      >connected Community AAIs</a
    >. If you have an account at one of those identity providers, you can simply
    use the NFDI AAI.
  </p>
  <h4>I already have such an account</h4>
  <p class="fs-6">
    Then you can simply log into CloWM by clicking one of the buttons below and
    a CloWM account will be created automatically for you.
  </p>
  <div class="d-flex flex-column mx-auto w-fit align-items-center mt-5">
    <login-buttons :return-path="returnPath" />
  </div>
</template>

<style scoped></style>
